from django.urls import path

from stock.views import adjust_stock



from .views import inventory

from products.views import  get_product_details, products, add_product, delete_product, edit_product, get_products
from coils.views import coils, add_coil,delete_coil
from uom.views import uoms, add_uom,delete_uom
from colors.views import colors, add_color,delete_color
from suppliers.views import suppliers, add_supplier,delete_supplier
from pac.views import pacs, delete_pac
from categories.views import categories, edit_category,delete_category

app_name = "inventory"

urlpatterns = [
    path('', inventory, name="home"),
    path('products/', products, name="products"),
    path('products/add/', add_product, name="add_product"),
    path('products/<int:product_id>/delete/', delete_product, name="delete_product"),
    path('products/edit/<int:product_id>/', edit_product, name='edit_product'),
    path('api/products/', get_products, name='get_products'),
    path('api/product/quote/<int:product_id>/', get_product_details, name='get_product_details'),
    path('adjust_stock/', adjust_stock, name='adjust_stock'),
     path('product/<int:product_id>/', get_product_details, name='product_detail'),
    
    path('coils/', coils, name="coils"),
    path('coils/add/', add_coil, name="add_coil"),
    path('coils/<int:coil_id>/delete/', delete_coil, name="delete_coil"),
    
    path('uoms/', uoms, name="uoms"),
    path('uoms/add/', add_uom, name="add_uom"),
    path('uoms/<int:uom_id>/delete/', delete_uom, name="delete_uom"),
    
    path('colors/', colors, name="colors"),
    path('colors/add/', add_color, name="add_color"),
    path('colors/<int:color_id>/delete/', delete_color, name="delete_color"),
    
    path('suppliers/', suppliers, name="suppliers"),
    path('suppliers/add/', add_supplier, name="add_supplier"),
    path('suppliers/<int:supplier_id>/', delete_supplier, name="delete_supplier"),
    
    path('pacs/', pacs, name="pacs"), 
    path('pacs/<int:pac_id>/delete/', delete_pac, name="delete_pac"),

    path('categories', categories, name="categories"),  
    path('edit_category/<int:category_id>/', edit_category, name="edit_category"),
    path('delete_category/<int:category_id>/', delete_category, name="delete_category"),
    
    path('adjust-stock/<int:product_id>/', adjust_stock, name='adjust_stock'),
]



